Subject: What's inside the pxa tree for this merge window

From: [email-masked] (Daniel Mack)
Date: Thu, 10 Sep 2009 15:09:59 +0200

On Thu, Sep 10, 2009 at 03:05:51PM +0200, Guennadi Liakhovetski wrote:
> On Thu, 10 Sep 2009, Daniel Mack wrote:
> 
> > I agree, and it would be even better to only set that field in case the
> > driver has actually been probed (and not just enabled in the kernel
> > config). But I see no clean way to do that - the gcu driver has no
> > access to the framebuffer driver and its data structs either.
> 
> Yeah, that doesn't look pretty. Maybe add a field to struct 
> pxafb_mach_info? You can put its assignment in respective platform data 
> instances under an #ifdef - that's more acceptable, IMHO. Of course, it is 
> still worse than beeing able to switch this at run-time. But you could 
> trick by setting that field at run-time if acceleration is available, 
> provided you have that info before pxafb initialises. Also consider, there 
> might be more PXA SoCs in the future using pxafb and providing hardware 
> acceleration.

Jep, that's a good idea. Will send a new patch for that later.

Thanks,
Daniel